db4o |

# Query Members

Query overview

#### Public Instance Methods

Constrain | adds a constraint to this node.
Constraints | returns a com.db4o.query.Constraints object that holds an array of all constraints on this node.
Descend | returns a reference to a descendant node in the query graph.
Execute | executes the com.db4o.query.Query .
OrderAscending | adds an ascending ordering criteria to this node of the query graph.
OrderDescending | adds a descending order criteria to this node of the query graph.
SortBy | Sort the resulting ObjectSet by the given comparator.

#### See Also

Query Interface | com.db4o.query Namespace